Bug 98457 - ifenslave is incopatible with latest bonding module
Summary: ifenslave is incopatible with latest bonding module
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: iputils   
(Show other bugs)
Version: 3.0
Hardware: i686 Linux
high
high
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact: Mike McLean
URL: http://sourceforge.net/projects/bonding/
Whiteboard:
Keywords:
Depends On: 98461
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-07-02 16:40 UTC by Need Real Name
Modified: 2015-03-05 01:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-31 20:42:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2003-07-02 16:40:14 UTC
Description of problem:
Current bonding configuration tool binary supplied under /sbin/ifenslave is 
incompatible and cannot be used in conjunction with bonding module supplied 
under the /lib/modules directory.

Version-Release number of selected component (if applicable):
iputils-20020927-4

How reproducible:
Try to enslave when using one of the newer modes (4,5,6).

Steps to Reproduce:
1. insmod bonding mode=4
2. ifconfig bond0 <ip-addr>
3. ifenslave bond0 eth0
    
Actual results:
enslave operation fails and nn error message appears in the syslog:
"bonding : Error : to use IEEE 802.ad Dynamic link aggregation mode, you must 
upgrade ifenslave. "

Expected results:
enslave succeeds with no errors

Additional info:
A new /sbin/ifenslave binary should be built 
from /usr/src/linux/Documentation/networking/ifenslave.c 

Also, a new /usr/share/doc/iputils-20020927/README.bonding should be created 
from /usr/src/linux/Documentation/networking/bonding.txt

Comment 1 Phil Knirsch 2003-07-07 13:42:06 UTC
Next alpha/beta will contain an updated version of ifenslave.

Read ya, Phil

Comment 2 Larry Troan 2003-07-16 13:38:06 UTC
ISSUE TRACKER 25883 opened as sev 1.

Comment 3 Need Real Name 2003-07-17 10:15:04 UTC
Once bug #98461 is fixed, /sbin/ifenslave needs to be created again to preserve 
backward comaptibility with old bonding versions.


Comment 4 Larry Troan 2003-07-21 14:48:34 UTC
FROM ISSUE TRACKER....
Event posted 07-16-2003 11:55am by dalit.zukerman with duration of 0.00       
Please note that this issue depends on issue #25885 (Bugzilla #98461). Although
Bugzilla #98457 is marked as closed, once issue #25885 (Bugzilla #98461) is
fixed, a new version of /sbin/ifneslave would have to be created and only then
it can be closed.

Status set to: Waiting on Tech

Comment 5 Phil Knirsch 2003-07-31 20:42:45 UTC
Latest update from Jun 30 2003 added to iputils-20020927-8

Read ya, Phil


Note You need to log in before you can comment on or make changes to this bug.